Quote

Depth

WSRequest · cmd 14

This API is used to obtain the depth data of security.

message SecurityRequest {
  string symbol = 1;
}

message SecurityDepthResponse {
  string symbol = 1;
  repeated Depth ask = 2;
  repeated Depth bid = 3;
}
Quote Permission RequiredFree
  • US stocks: US LV1 1-level bid/ask included free by default (pre-market, regular, after-hours, and overnight sessions).
  • HK stocks: LV1 1-level bid/ask included by default; 10-level order book requires "LV2 Advanced Quotes - Plus (OpenAPI)".
  • US options: no permission by default — purchase "OPRA US Options Quotes (OpenAPI)".

Request parameters

NameTypeRequiredDescription
symbolstringRequiredSecurity code, in ticker.region format, e.g. 700.HK

Response fields

NameTypeRequiredDescription
symbolstringOptionalSecurity code
askobject[]OptionalAsk depth
└ positionint32OptionalPosition
└ pricestringOptionalPrice
└ volumeint64OptionalVolume
└ order_numint64OptionalNumber of orders
bidobject[]OptionalBid depth
└ positionint32OptionalPosition
└ pricestringOptionalPrice
└ volumeint64OptionalVolume
└ order_numint64OptionalNumber of orders

Response JSON example

{
  "symbol": "700.HK",
  "ask": [
    {
      "position": 1,
      "price": "335.000",
      "volume": 500,
      "order_num": 1
    }
  ],
  "bid": [
    {
      "position": 1,
      "price": "334.800",
      "volume": 69400,
      "order_num": 13
    }
  ]
}